package com.brframework.commoncms.core.layout.column;

import com.brframework.commoncms.annatotion.column.TextAreaColumn;
import com.brframework.commoncms.core.layout.AbstractPanelLayoutColumn;
import lombok.Data;

import java.lang.reflect.Field;
import java.util.List;

/**
 * 多行文本
 * @author xu
 * @date 2018/9/26 14:01
 * @see TextAreaColumn
 */
@Data
public class LayoutTextAreaColumn extends AbstractPanelLayoutColumn {

    private static final String TYPE_DEF = "TEXTAREA";

    private String key;
    private String title;

    private Integer minInput;
    private Integer maxInput;


    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public String getType() {
        return TYPE_DEF;
    }

    @Override
    public void create(Field columnField) throws Throwable {
        init(columnField);
    }

    @Override
    public List<Class<?>> supportType() {
        return null;
    }
}
